Child pages
  • WHM API 1 Functions - php_set_system_default_version
Skip to end of metadata
Go to start of metadata

Description

This function sets the default PHP version on the system.


Note:

This document only applies to systems that run EasyApache 4.

Examples 


 JSON API
https://hostname.example.com:2087/cpsess##########/json-api/php_set_system_default_version?api.version=1&version=ea-php70
 XML API
https://hostname.example.com:2087/cpsess##########/xml-api/php_set_system_default_version?api.version=1&version=ea-php70
 Command Line
whmapi1 php_set_system_default_version version=ea-php709


Notes:

  • You must URI-encode values.
  • For more information and additional output options, read our Guide to WHM API 1 documentation or run the whmapi1 --help command. 

 Output (JSON)
{
   "data":{
   },
   "metadata":{
      "version":1,
      "reason":"Ok",
      "result":1,
      "command":"php_set_system_default_version"
   }
}
 Output (XML)
<result>
    <data/>
    <metadata>
        <version>1</version>
        <reason>Ok</reason>
        <result>1</result>
        <command>php_set_system_default_version</command>
    </metadata>
</result>


Note:

Use WHM's API Shell interface (WHM >> Home >> Development >> API Shell) to directly test WHM API calls.

Parameters

ParameterTypeDescriptionPossible valuesExample
versionstring

Required

The version of PHP that you wish to set as the system's default.

  • ea-php54
  • ea-php55
  • ea-php56
  • ea-php70
  • ea-php71
  • ea-php72
  • Any custom PHP package name.
ea-php70

Returns

This function only returns metadata.